.input-outlined {
  background-color: $dark-grey;
  border: 1px solid $secondary-purple;
  border-radius: 5px;
  color: $primary-white;
  padding: 5px 10px;
}

.input-outlined:focus {
  border: 1px solid $primary-purple !important;
}

.input-outlined:focus-visible {
  border: 1px solid $primary-purple !important;
  outline: none;
}

.input-outlined-price {
  font-size: 1.2rem;
  width: 50%;
}


/* Remove Arrows on input number */
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}


/* Change Autocomplete styles in Chrome*/
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  border: 1px solid $primary-purple;
  -webkit-text-fill-color: $primary-white;
  -webkit-box-shadow: 0 0 0 1000px $dark-grey inset;
  transition: background-color 5000s ease-in-out 0s;
}

.input-outlined-disabled {
  color: $medium-light-grey;
}

.input-outlined:hover {
  border: 1px solid $primary-purple;
}

.input-outlined-disabled:hover {
  border: 1px solid $secondary-purple;
}

option:checked, option:hover {
  background: $secondary-purple;
}


.input-outlined-file-picker{
  width: 235px;
}

input{
  caret-color: $primary-white;
}
